const express = require('express');
const cors = require('cors');
const bodyParser = require('body-parser');

const app = express();
app.use(cors());
app.use(bodyParser.json());

const PLZ_GESCHAEFTSSTELLE = "10115"; // Beispiel-PLZ

app.post('/api/spenden', (req, res) => {
    const { kleidungsart, krisengebiet, lieferart, abholadresse, plz } = req.body;

    // PLZ-Validierung
    if (lieferart === "Abholung" && plz.substring(0, 2) !== PLZ_GESCHAEFTSSTELLE.substring(0, 2)) {
        return res.status(400).json({ error: "Die Abholadresse liegt nicht im gleichen PLZ-Gebiet." });
    }

    // Spende registrieren (Hier könnte man Daten in einer DB speichern)
    console.log("Spende registriert:", req.body);

    res.status(200).json({
        message: "Spende erfolgreich registriert!",
        data: req.body,
    });
});

app.listen(2000, () => {
    console.log('Server läuft auf Port 2000');
});
